Forum Pplware

Versão Completa: OpenGL no ubuntu 11.10
Está de momento a ver uma versão reduzida do nosso conteúdo. Ver versão completa com o formato adequado.
ola a todos,

Necessito mesmo de ajuda, tenho instalado no meu portátil o ubuntu 11.10 e quando abro aplicações que necessitam de OpenGL aparece erro: "OpenGL 2.0 not supported".

Sou iniciante no mundo linux, e não me recordo qual a gráfica que tenho, penso que seja Intel. Como vejo isso? Há algum programa que verifique a compatibilidade do opengl na minha gráfica?

Cumprimentos
use os dois comandos na consola:

sudo apt-get install mesa-utils

glxinfo | grep -i opengl

Qual o output?

Quanto á grafica escreva tambem na consola
lspci
No output deste comando ha-de aparecer algo como:
00:12.0 VGA compatible controller: nVidia Corporation C67 [GeForce 7000M / nForce 610M] (rev a2) (prog-if 00 [VGA controller])
No meu caso esta é a minha gráfica : GeForce 7000M
(03-10-2011 13:27)kilho Escreveu: [ -> ]use os dois comandos na consola:

sudo apt-get install mesa-utils

glxinfo | grep -i opengl

Qual o output?

Quanto á grafica escreva tambem na consola
lspci
No output deste comando ha-de aparecer algo como:
00:12.0 VGA compatible controller: nVidia Corporation C67 [GeForce 7000M / nForce 610M] (rev a2) (prog-if 00 [VGA controller])
No meu caso esta é a minha gráfica : GeForce 7000M

antes de mais muito obrigado pelas dicas. sem querer abusar, o primeiro comando correu bem o segundo deu-me algo como:


Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Error: couldn't find RGB GLX visual or fbconfig
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".
Xlib: extension "GLX" missing on display ":0".


quanto à placa eis o output:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (secondary) (rev 03)


peço desculpa mas não consegui ter sucesso, existe algo de errado/incompativel talvez?

cumprimentos
Nao sei se irá ajudar mas experimente:
sudo apt-get update
sudo apt-get install build-essential
sudo apt-get install freeglut3-dev

Fonte: http://ubuntuforums.org/showthread.php?t=345177
(02-10-2011 22:16)pcerqueira Escreveu: [ -> ]ola a todos,

Necessito mesmo de ajuda, tenho instalado no meu portátil o ubuntu 11.10 e quando abro aplicações que necessitam de OpenGL aparece erro: "OpenGL 2.0 not supported".

Sou iniciante no mundo linux, e não me recordo qual a gráfica que tenho, penso que seja Intel. Como vejo isso? Há algum programa que verifique a compatibilidade do opengl na minha gráfica?

Cumprimentos
Open GL já vem instalado por padrão no ubuntu
é como ai diz é incompatível com versão 2 do OpenGL quer dizer que esse programa não é compatível com a versão que tens instalada no sistema, actualizar o opengl não uma boa ideia, o melhor é verificar se a aplicação queres executar tem uma versão compatível com o OpenGL 2.0, também deveras actualizar frequentemente o sistema pois ainda esta na versão beta.
URL's de Referência